OpenTTD GameScript API: Data Fields - Functions

OpenTTD GameScript API 15.0-beta2

Here is a list of all documented functions with links to the struct/union documentation for each field:

### - s -

- Save() : GSController
- ScrollClientTo() : GSViewport
- ScrollCompanyClientsTo() : GSViewport
- ScrollEveryoneTo() : GSViewport
- ScrollTo() : GSViewport
- SellVehicle() : GSVehicle
- SellWagon() : GSVehicle
- SellWagonChain() : GSVehicle
- Send() : GSAdmin
- SendVehicleToDepot() : GSVehicle
- SendVehicleToDepotForServicing() : GSVehicle
- SetAutoRenewMoney() : GSCompany
- SetAutoRenewMonths() : GSCompany
- SetAutoRenewStatus() : GSCompany
- SetAutoReplace() : GSGroup
- SetCargoGoal() : GSTown
- SetCommandDelay() : GSController
- SetCompleted() : GSGoal
- SetControlFlags() : GSIndustry
- SetCurrentRailType() : GSRail
- SetCurrentRoadType() : GSRoad
- SetDate() : GSStoryPage
- SetDestination() : GSGoal
- SetExclusiveConsumer() : GSIndustry
- SetExclusiveSupplier() : GSIndustry
- SetGrowthRate() : GSTown
- SetLoanAmount() : GSCompany
- SetMaxLoanAmountForCompany() : GSCompany
- SetMinimumLoanAmount() : GSCompany
- SetName() : GSBaseStation, GSCompany, GSGroup, GSSign, GSTown, GSVehicle
- SetOrderCompareFunction() : GSOrder
- SetOrderCompareValue() : GSOrder
- SetOrderCondition() : GSOrder
- SetOrderFlags() : GSOrder
- SetOrderJumpTo() : GSOrder
- SetOrderRefit() : GSOrder
- SetParam() : GSText
- SetParent() : GSGroup
- SetPresidentGender() : GSCompany
- SetPresidentName() : GSCompany
- SetPrimaryColour() : GSGroup
- SetPrimaryLiveryColour() : GSCompany
- SetProductionLevel() : GSIndustry
- SetProgress() : GSGoal
- SetSecondaryColour() : GSGroup
- SetSecondaryLiveryColour() : GSCompany
- SetStopLocation() : GSOrder
- SetText() : GSGoal, GSIndustry, GSTown
- SetTitle() : GSStoryPage
- SetValue() : GSGameSettings, GSList
- ShareOrders() : GSOrder
- Show() : GSStoryPage
- SkipToOrder() : GSOrder
- Sleep() : GSController
- Sort() : GSList
- Start() : GSController
- StartStopVehicle() : GSVehicle
- StopAllMonitoring() : GSCargoMonitor
- StopAutoReplace() : GSGroup
- SwapList() : GSList